Package org.apache.sling.feature.extension.apiregions.analyser

# Class CheckApiRegionsBundleExportsImports

java.lang.Object
org.apache.sling.feature.extension.apiregions.analyser.CheckApiRegionsBundleExportsImports

All Implemented Interfaces:
  `org.apache.sling.feature.analyser.task.AnalyserTask`

public class CheckApiRegionsBundleExportsImports extends Object implements org.apache.sling.feature.analyser.task.AnalyserTask

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`CheckApiRegionsBundleExportsImports.Report`

## Constructor Summary

Constructors
Constructor
Description
`CheckApiRegionsBundleExportsImports()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`
`String`
`getId()`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckApiRegionsBundleExportsImports

public CheckApiRegionsBundleExportsImports()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `org.apache.sling.feature.analyser.task.AnalyserTask`

### getId

public String getId()

Specified by:
  `getId` in interface `org.apache.sling.feature.analyser.task.AnalyserTask`

### execute

public void execute(org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx) throws Exception

Specified by:
  `execute` in interface `org.apache.sling.feature.analyser.task.AnalyserTask`
Throws:
  `Exception`